-- Operates SimC Message Window (lowest priority)

ipc.sleep(1000)
prevmsg = ""

LEFT = ipc.get("TextLeft")
TOP = ipc.get("TextTop2")
WIDTH = ipc.get("TextWidth")
HEIGHT = ipc.get("TextHeight2")
w1 = wnd.open("SimC Window", WND_FIXED,LEFT,TOP,WIDTH,HEIGHT)
wnd.backcol(w1, 0x88f)
wnd.textcol(w1, 0x808)
wnd.font(w1, WND_ARIAL, 20, WND_BOLD)
state = false

function teststate() 
	winstate = ipc.get("ReqDisp")
	if winstate == 0 then
		if state == 0 then
			state = 1
			ext.state("SimC Window", EXT_NRML)
		end
	else
		if state ~= 0 then
			state = 0
			ext.state("SimC Window", EXT_HIDE)
		end
	end
end

teststate()

function wind(mtype, colour, scroll, delay, id, n, msgs)
	wnd.clear(w1)
	if (n == 0) or ((n == 1) and (string.byte(msgs[1]) == 0)) then 
		prevmsg = ""
		state = 0
	else
		states = ipc.get("MenuSet") + ipc.get("FileSet") + ipc.get("WthrSet")
		if (states == 0) or (ipc.get("ReqDisp") == 0) then
			ext.state("SimC Window", EXT_NRML)
		end
		wnd.text(w1, msgs[1])
		if (n > 1) then
			wnd.text(w1,msgs[2])
		end
		state = 1
	end
	ipc.set("WindSet", state)
	if (state == 0) then 
		ipc.set("ReqDisp", 0)
		ipc.togglebitsUB(0x66E0, 1)
	end
end

ipc.sleep(2000)

event.textmenu(4, "wind") -- 4 = SimC message window
event.offsetmask(0x66E0, 1, "UB", "teststate")
event.timer(500,"teststate")
